Page MenuHomePhabricator

Usability of "This page has some issues"
Closed, DeclinedPublic

Description

To quote a user: "amboxes [...] on mobile [...] produce error messages like "There are problems with this page". "

It seems that the user was not realizing that this was a 'clickable' element, that would allow him to inspect and view these warnings. Perhaps we can improve the usability of this element ? "Touch to view problems with this page", or different styling...

Ideas welcome.

Event Timeline

TheDJ created this task.Mar 4 2015, 7:40 PM
TheDJ updated the task description. (Show Details)
TheDJ raised the priority of this task from to Needs Triage.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2015, 7:40 PM
ggellerman set Security to None.

Removing DesignResearch project. Please feel free to re-add DesignResearch if Reading team decides to work on this task

Jdlrobson triaged this task as Low priority.Sep 8 2015, 12:27 AM
DannyH added a subscriber: DannyH.Feb 4 2016, 6:12 PM

This is outside of the scope of Community Tech, I think it's best handled by Mobile Frontend.

kaldari added a subscriber: kaldari.Feb 4 2016, 6:14 PM

These issues should probably be brought up on the talk pages of the templates. I'm not sure it makes sense to file them in Phabricator. Aren't these things that should be fixed by the template maintainers (who probably don't use Phabricator)?

TheDJ added a comment.Feb 4 2016, 7:46 PM

@kaldari No, this is a MobileFrontend wrapper around a template. Compare:

I think we can all agree that WikiWand wins :)

Ah, I see. Looks like something that could use some UI/design input. Who is the current designer for mobile? @KHammerstein?

@kaldari @Nirzar is currently designer for mobile web.

I worked on this styling - before it looked like this, page issues were accessed by an icon alongside edit and watch. The icon looked like a warning or notification, similar to this https://thenounproject.com/search/?q=warning&i=50611.
We decided to change it because page issues are not an action like edit or watch, but more of a notification. I agree that it does look less clickable, but we were attempting to de-emphasize some things in the header so that things like edit are more emphasized.

On the iOS app we moved page issues to a section called About this article [M108] (scroll down after Read More).

TheDJ added a comment.EditedFeb 5 2016, 11:22 AM

On the iOS app we moved page issues to a section called About this article [M108] (scroll down after Read More).

Something i'm sure the 'community' won't appreciate btw. The intent of article message boxes is EXACTLY to warn people of the content before consuming it, not as a hidden disclaimer. Things like this are what makes Wikipedia different from so many other websites, and is actually rather appreciated by a large group of readers ('at least Wikipedia is honest about the fact that many of their articles are shoddy'). We'd probably be best off embracing such a unique quality, rather than hiding it.

I like "about this article" better than what MF currently has btw. but "Page issues" has a negative association with it, which is not the (sole) intent of article boxes.

As one of the people who was responsible for the introduction of mbox'es and actively participating in their design, let me try to give some more input on this, esp with regard to amboxes.

  • The nature of article message boxes are informative
  • They use color as a 'hint' towards priority for the reader.
  • The information communicated often pertains to the quality of the article.
  • But definitely not solely. Quite often it is information that will pertain to the experience a user might expect.
    • An article with a deletion banner basically means that this article may disappear at any time (even while you read it)
    • An article with a current event message communicates that things are rapidly changing. Content, the people working on it, reality/truth.
    • Under construction means that someone is redoing everything.
  • Message boxes almost always come with a call to action ("you can do something")

None of that is captured by a light gray text link of "Page Issues" :)

DannyH added a comment.Feb 5 2016, 5:52 PM

I agree that those boxes can be a useful warning for readers, and an invitation for more editing. Unfortunately, a box that takes up a small amount of real estate on desktop would take up the entire screen on a phone. Just seeing the warning box without any visible page content, I think the average reader might think the page was broken, and just hit the back button to return to their search results.

TheDJ added a comment.Feb 5 2016, 8:57 PM

Who says they need to be boxes. Please think outside of boxes :)

TheDJ added a comment.Feb 5 2016, 9:29 PM

What I'm trying to get across here, is that "Page issues" as a small gray text is just a total failure of design. It's an admission of weakness (not being able to design something that is able to serve the goals and nature of the function) and even a bad one at that. It is surrender.

Nirzar added a comment.Feb 8 2016, 7:40 PM

@TheDJ Page issues compete with the actual article for attention. for mobile users, relevancy, real estate and readability of an article are really important. not to say page issues are not relevant but the article itself is more important.

Top of the article layout needs to be clear, crisp, and should have least friction in spotting the first sentence of the article.

We can still think about reflecting the flavors of page issues in the footer and design for it.

Also, I would appreciate if we can keep the conversation respectful and avoid non-constructive comments.

TheDJ closed this task as Declined.Feb 8 2016, 9:58 PM
TheDJ claimed this task.

I think we have discussed this enough. Clearly people do not think there is a problem.

TheDJ removed TheDJ as the assignee of this task.Feb 8 2016, 9:59 PM

@Nirzar: What do you think about re-adding the warning icon (which would also be clickable)? I agree that we need to strictly limit the amount of space the notices take up on mobile, but considering TheDJs argument about the importance of the notices, perhaps we have de-emphasized them too much.

@kaldari I think it's more about representing different kinds of notices

We can still do that in the current position. we can put this on design board and I can work on it.

There are a lot of important things fighting for attention here. in such cases, if everything is important, nothing is.

We have to understand different things are important for different readers too. Getting more data might help inform the solution.